Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.eci.repository.helper
Class ObjectFolderUtil

    java.lang.Object
      |
      +--com.bea.eci.repository.helper.ObjectFolderUtil

public class ObjectFolderUtil
extends java.lang.Object

A convenience class for repository ObjectFolders. These methods may eventually be provided as part of `ObjectFolderFactory` and/or `ObjectFolder`.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ObjectFolderUtil()`

Method Summary
`static javax.swing.tree.DefaultMutableTreeNode` | `getNode(javax.swing.tree.DefaultMutableTreeNode node, com.bea.eci.repository.RepositoryVersionedContainer rvc, boolean loadItems)` Creates a `DefaultMutableTreeNode` representation of a repository folder and it's child folders.
`static com.bea.eci.repository.ObjectFolder` | `getObjectFolderByName(com.bea.eci.repository.RepositorySession rs, java.lang.String name)` Obtain the latest version of an ObjectFolder object by name.
`static java.util.List` | `retrieveTopFolders(com.bea.eci.repository.RepositorySession rs)` Obtains a list of `ObjectFolder` objects, each one not a child of another folder (ie - top level parent folders).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFolderUtil

    public ObjectFolderUtil()

Method Detail

### getObjectFolderByName

    public static com.bea.eci.repository.ObjectFolder getObjectFolderByName(com.bea.eci.repository.RepositorySession rs,
                                                                            java.lang.String name)
                                                                     throws com.bea.eci.repository.RepositoryException

  Obtain the latest version of an ObjectFolder object by name.

  Parameters:
    `rs` - a `RepositorySession`object for accessing the repository.``
    `name` - a `String`containing the name of the `ObjectFolder` to retrieve.``
  Returns:
    the most current version of the `ObjectFolder`with the requested name.``

### getNode

    public static javax.swing.tree.DefaultMutableTreeNode getNode(javax.swing.tree.DefaultMutableTreeNode node,
                                                                  com.bea.eci.repository.RepositoryVersionedContainer rvc,
                                                                  boolean loadItems)
                                                           throws com.bea.eci.repository.RepositoryException

  Creates a `DefaultMutableTreeNode` representation of a repository folder and it's child folders.

  Parameters:
    `rs` - a `RepositorySession` used to access the repository
    `rvc` - a `RepositoryVersionedContainer` object to represent as the node.
    `loadItems` - a `boolean` stating if repository folder items should be loaded or not. `true` loads child folders and items within the specified container, `false` will cause only the child folders to be loaded
  Returns:
    a `DefaultMutableTreeNode` representing the `RepositoryVersionedContainer` object and its contents - the user objects being either `XMLEntityInfo` objects for entity objects or `RepositoryFolderInfo` objects for folder objects.

### retrieveTopFolders

    public static java.util.List retrieveTopFolders(com.bea.eci.repository.RepositorySession rs)
                                             throws com.bea.eci.repository.RepositoryException

  Obtains a list of `ObjectFolder` objects, each one not a child of another folder (ie - top level parent folders).

  Parameters:
    `rs` - a `RepositorySession` used to access the repository.
  Returns:
    a `List` of `ObjectFolder`s having no parent folder.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)